<?php

class shopChekonlinePluginBackendReceiptsAction extends waViewAction
{
    const NUMBER_OF_ITEM_ON_PAGE = 50;

    public function execute()
    {
        $plugin_id = 'chekonline';
        $vars = array();

        /**
         * @var shopPlugin $plugin
         */
        $plugin = waSystem::getInstance()->getPlugin($plugin_id, true);
        $vars['plugin_info'] = array(
            'name' => $plugin->getName()
        );

        $receiptModel = new shopChekonlineReceiptModel();
        $count = $receiptModel->countAll();

        $numberOfPages = round($count / self::NUMBER_OF_ITEM_ON_PAGE);
        $vars['numberOfPages'] = $numberOfPages;

        $page = 0;

        if (isset($_REQUEST['page'])) {
            $requestPage = abs(htmlspecialchars($_REQUEST['page']));
        }

        if (!empty($requestPage)) {
            $page = intval($requestPage);
        }

        $vars['currentPage'] = $page;

        $offset = $page * self::NUMBER_OF_ITEM_ON_PAGE;

        $sql = "SELECT * FROM  shop_chekonline_receipts ORDER BY id DESC LIMIT {$offset}, ".self::NUMBER_OF_ITEM_ON_PAGE;

        $vars['receipts'] = $receiptModel->query($sql)->fetchAll();
        $this->view->assign($vars);

    }

    protected function getTemplatePath($action = null)
    {
        return $this->getConfig()->getAppPath('templates/actions/plugins/').'PluginsSettings.html';
    }

    public function getLayout()
    {
        return new shopBackendLayout();
    }

}