<?php

class shopChekonline
{
    const PLUGIN_ID = 'chekonline';
    public static function taxModes()
    {
        return  array(
            array(
                'value' => 0,
                'title' => 'Общая',
            ),
            array(
                'value' => 1,
                'title' => 'Упрощённая доход',
            ),
            array(
                'value' => 2,
                'title' => 'Упрощённая доход минус расход',
            ),
            array(
                'value' => 3,
                'title' => 'Единый налог на вменённый доход',
            ),
            array(
                'value' => 4,
                'title' => 'Единый сельскохозяйственный налог',
            ),
            array(
                'value' => 5,
                'title' => 'Патентная система налогообложения',
            ),
        );
    }

    public static function vats()
    {
        return array(
            array(
                'value' => 1,
                'title' => 'НДС 18%',
            ),
            array(
                'value' => 2,
                'title' => 'НДС 10%',
            ),
            array(
                'value' => 3,
                'title' => 'НДС 0%',
            ),
            array(
                'value' => 4,
                'title' => 'Без налога',
            ),
            array(
                'value' => 5,
                'title' => 'Ставка 18/118',
            ),
            array(
                'value' => 6,
                'title' => 'Ставка 10/110',
            ),
        );
    }

    public static function paymentMethods()
    {

        $plugin_id = self::PLUGIN_ID;
        $settings_name = 'chekonline_payment_types';
        $spm = new shopPluginModel();
        $methods = $spm->listPlugins('payment');
        $plugin = waSystem::getInstance()->getPlugin($plugin_id, true);
        $namespace = wa()->getApp().'_'.$plugin_id;
        $settings = $plugin->getSettings($settings_name);

        $row_tpl = '<tr><td>%s</td></tr>';
        $controls = <<<HTML
            <table class="zebra">
                <tr>
                    <th>Имя</th>
                </tr>
HTML;

        foreach($methods as $k => $v) {
            $params = array(
                'namespace' => $namespace,
                'title_wrapper' => '&nbsp;%s',
                'description_wrapper' => '<span class="hint">%s</span>',
                'control_wrapper' => '%2$s'."\n".'%1$s'."\n".'%3$s'."\n",
            );

            waHtmlControl::addNamespace($params, array($settings_name, $v['id']));
            $payment_type = waHtmlControl::getControl(
                waHtmlControl::CHECKBOX,
                'chekonline_payment_types',
                array_merge(
                    $params,
                    array(
                        'class' => 'chekonline_payment_types_class',
                        'checked' => isset($settings[$v['id']]),
                        'value' => $v['id'],
                        'title' => $v['name'],
                    )
                )
            );


            $controls .= sprintf($row_tpl, $payment_type);
        }

        $controls .= "</table><script type='text/javascript'>";
        $controls .= <<<JS
            $(function() {
                var enable_disable_select = function() {
                var _t = $(this);
                _t.parents('tr').find('select')
                .prop('disabled', !_t.is(':checked'));
            }
            $('input[type="checkbox"].chekonline_payment_types_class')
                .on('change', enable_disable_select)
                .each(enable_disable_select)
            });
JS;
        $controls .= '</script>';
        return $controls;
    }
}