<?php

namespace Chekonline\Cashbox;


/**
 * Class PayAttribute признак способарасчёта
 * @package Chekonline\Cashbox
 */
class PayAttribute
{
    /**
     * Не задан
     */
    const WITHOUT = '';
    /**
     * Полная предварительная оплата до момента передачи предмета
     * расчёта
     */
    const FULL_PAYMENT_BEFORE = 1;
    /**
     * Частичная предварительная оплата до момента передачи предмета расчёта
     */
    const PART_PAYMENT_BEFORE = 2;
    /**
     *Аванс
     */
    const PREPAID_EXPENSE = 3;
    /**
     * Полная оплата, в том числе с учётом аванса (предварительной оплаты) в
     * момент передачи предмета расчёта
     */
    const FULL_PAYMENT = 4;
    /**
     * Частичная оплата предмета расчёта в момент его передачи с последующей
     * оплатой в кредит
     */
    const PART_PAYMENT = 5;
    /**
     * Передача предмета расчёта без его оплаты в момент его передачи
     * с последующей оплатой в кредит
     */
    const WITHOUT_PAYMENT = 6;
    /**
     * Оплата предмета расчёта после его передачи с оплатой в кредит
     * (оплата кредита). Этот признак должен быть единственным в
     * документе и документ с этим признаком может содержать только
     * одну строку.
     */
    const CREDIT_PAYMENT = 7;

    /**
     * @var array
     */
    public static $dictionary = array(
        self::WITHOUT             => 'Не задан',
        self::FULL_PAYMENT_BEFORE => 'Полная предварительная оплата до момента передачи предмета расчёта',
        self::PART_PAYMENT_BEFORE => 'Частичная предварительная оплата до момента передачи предмета расчёта',
        self::PREPAID_EXPENSE     => 'Аванс',
        self::FULL_PAYMENT        => 'Полная оплата, в том числе с учётом аванса (предварительной оплаты) в момент передачи предмета расчёта',
        self::PART_PAYMENT        => 'Частичная оплата предмета расчёта в момент его передачи с последующей оплатой в кредит',
        self::WITHOUT_PAYMENT     => 'Передача предмета расчёта без его оплаты в момент его передачи с последующей оплатой в кредит',
        self::CREDIT_PAYMENT      => 'Оплата предмета расчёта после его передачи с оплатой в кредит (оплата кредита). Этот признак должен быть единственным в документе и документ с этим признаком может содержать только одну строку',
    );
}